---
include:
  - project: 'bibliosansfrontieres/olip-ng/cicd'
    file:
      - '/application.recipe.yml'
    ref: v1.0.0

jsonlint:
  variables:
    EXCLUDE: 'node_modules/*'

deploy-staging:
  variables:
    COMMAND: '$OLIP_DEPLOY_SCRIPT_PATH'
    SERVER_HOST: '$OLIP_STAGING_SERVER_HOST'
    SERVER_USERNAME: '$OLIP_STAGING_SERVER_USERNAME'
    SERVER_KEY: '$OLIP_STAGING_SERVER_KEY'
    ENV_FILE: '$OLIP_STAGING_DEPLOY_ENV_FILE'

deploy-prod:
  variables:
    COMMAND: '$OLIP_DEPLOY_SCRIPT_PATH'
    SERVER_HOST: '$OLIP_PROD_SERVER_HOST'
    SERVER_USERNAME: '$OLIP_PROD_SERVER_USERNAME'
    SERVER_KEY: '$OLIP_PROD_SERVER_KEY'
    ENV_FILE: '$OLIP_STAGING_DEPLOY_ENV_FILE'

deploy-branch:
  variables:
    COMMAND: '$OLIP_DEPLOY_BRANCH_SCRIPT_PATH'
    SERVER_HOST: '$OLIP_STAGING_SERVER_HOST'
    SERVER_USERNAME: '$OLIP_STAGING_SERVER_USERNAME'
    SERVER_KEY: '$OLIP_STAGING_SERVER_KEY'
    ENV_FILE: '$OLIP_STAGING_DEPLOY_ENV_FILE'
